%global pypi_name pygithub

Name:           python-%{pypi_name}
Version:        1.29
Release:        1%{?dist}
Summary:        Python library to work with the Github API

Group:          Development/Languages
License:        LGPLv3+
URL:            http://vincent-jacques.net/%{pypi_name}
Source:         http://pypi.python.org/packages/source/P/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Obsoletes:      python-github < 1.11.1-4
Provides:       python-github

%description
A Python library implementing the full Github API v3.

%prep
%setup -q -n PyGithub-%{version}
# this test needs network connection => kill it for Koji builds
sed -i '/from Issue142 import \*/d' github/tests/AllTests.py

%build
%{__python} setup.py build
# don't keep these files in the library itself in RPM package

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test

%files
%{license} COPYING COPYING.LESSER
%doc README.md
%{python_sitelib}/*
%exclude %{python_sitelib}/github/tests

%changelog
* Mon Jan 23 2017 Timothy Williams <tiwillia@redhat.com> - 1.29-1
- Initial commit of python-PyGithub
